using SqlSugar;

namespace OpenAuth.Repository.Domain.FireManagement;

/// <summary>
/// 地图标绘记录
/// </summary>
[SugarTable("fm_mapplotting")]
public class FmMapPlotting
{
    /// <summary>
    /// id 主键
    /// </summary>
    [SugarColumn(IsPrimaryKey = true,ColumnName = "id")]
    public long Id { get; set; }

    [SugarColumn(ColumnName = "title")] public string Title { get; set; }

    [SugarColumn(ColumnName = "description")]
    public string Description { get; set; }

    [SugarColumn(ColumnName = "state")] public int? State { get; set; }

    [SugarColumn(ColumnName = "create_time")]
    public DateTime? CreateTime { get; set; }
}